=== modified file 'src/platforms/mirserver/qmirserver.cpp'
--- src/platforms/mirserver/qmirserver.cpp	2017-02-28 12:45:30 +0000
+++ src/platforms/mirserver/qmirserver.cpp	2017-03-14 13:49:38 +0000
@@ -61,7 +61,7 @@
     if (d->serverThread->isRunning()) {
         d->stop();
 
-        const int timeout = RUNNING_ON_VALGRIND ? 10 : 100; // else timeout triggers before Mir done
+        const int timeout = RUNNING_ON_VALGRIND ? 100 : 10; // else timeout triggers before Mir done
         if (!d->serverThread->wait(timeout * 1000)) {
             // do something to indicate fail during shutdown
             qCritical() << "ERROR: QMirServer - Mir failed to shut down correctly, terminating it";

=== modified file 'src/platforms/mirserver/qmirserver_p.cpp'
--- src/platforms/mirserver/qmirserver_p.cpp	2017-02-28 12:45:30 +0000
+++ src/platforms/mirserver/qmirserver_p.cpp	2017-03-14 13:49:38 +0000
@@ -57,7 +57,7 @@
 
 bool MirServerThread::waitForMirStartup()
 {
-    const int timeout = RUNNING_ON_VALGRIND ? 10 : 100; // else timeout triggers before Mir ready
+    const int timeout = RUNNING_ON_VALGRIND ? 100 : 10; // else timeout triggers before Mir ready
 
     std::unique_lock<decltype(mutex)> lock(mutex);
     started_cv.wait_for(lock, std::chrono::seconds{timeout}, [&]{ return mir_running; });

